org.deidentifier.arx.framework.data

## Class DataAggregationInformation

- java.lang.Object
- - org.deidentifier.arx.framework.data.DataAggregationInformation

All Implemented Interfaces:
  java.io.Serializable

    public class DataAggregationInformation
    extends java.lang.Object
    implements java.io.Serializable

Small class to encapsulate information about data that needs to be analyzed aggregated.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataAggregationInformation(Data data, java.util.Map<java.lang.String,DistributionAggregateFunction> functions, DataDefinition definition, java.util.Set<java.lang.String> setOfHotQIsNotGeneralized, java.util.Set<java.lang.String> setOfHotQIsGeneralized, java.util.Set<java.lang.String> setOfColdQIs)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`DataAggregationInformation` `clone()` Returns a clone for data subsets
`int[]` `getColdQIs()`
`int[]` `getColdQIsDomainSizes()`
`DistributionAggregateFunction[]` `getColdQIsFunctions()`
`int[]` `getColumns()`
`java.lang.String[]` `getHeader()`
`int[]` `getHotQIsGeneralized()`
`int[]` `getHotQIsGeneralizedDomainSizes()`
`DistributionAggregateFunction[]` `getHotQIsGeneralizedFunctions()`
`int[]` `getHotQIsNotGeneralized()`
`int[]` `getHotQIsNotGeneralizedDomainSizes()`
`DistributionAggregateFunction[]` `getHotQIsNotGeneralizedFunctions()`
`int` `getHotThreshold()`
`int[]` `getMicroaggregationColumns()` Returns the columns in the original array which are microaggregated
`DistributionAggregateFunction[]` `getMicroaggregationFunctions()` Returns the distribution aggregate functions for all microaggregated values
`java.lang.String[]` `getMicroaggregationHeader()` Returns the attributes in the analyzed dataset which are microaggregated
`int[]` `getMicroaggregationIndices()` Returns the indices of all attributes that are microaggregated in order hotQIsNotGeneralized, hotQIsGeneralized, coldQIs.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataAggregationInformation

    public DataAggregationInformation(Data data,
                                      java.util.Map<java.lang.String,DistributionAggregateFunction> functions,
                                      DataDefinition definition,
                                      java.util.Set<java.lang.String> setOfHotQIsNotGeneralized,
                                      java.util.Set<java.lang.String> setOfHotQIsGeneralized,
                                      java.util.Set<java.lang.String> setOfColdQIs)

Creates a new instance

Parameters:
  `data` -
  `functions` -
  `definition` -
  `setOfHotQIsNotGeneralized` -
  `setOfHotQIsGeneralized` -
  `setOfColdQIs` -

### Method Detail

#### clone

    public DataAggregationInformation clone()

Returns a clone for data subsets

Overrides:
  `clone` in class `java.lang.Object`
Returns:

#### getColdQIs

    public int[] getColdQIs()

Returns:
  the coldQIs

#### getColdQIsDomainSizes

    public int[] getColdQIsDomainSizes()

Returns:
  the coldQIsDomainSizes

#### getColdQIsFunctions

    public DistributionAggregateFunction[] getColdQIsFunctions()

Returns:
  the coldQIsFunctions

#### getColumns

    public int[] getColumns()

Returns:
  the columns

#### getHeader

    public java.lang.String[] getHeader()

Returns:
  the header

#### getHotQIsGeneralized

    public int[] getHotQIsGeneralized()

Returns:
  the hotQIsGeneralized

#### getHotQIsGeneralizedDomainSizes

    public int[] getHotQIsGeneralizedDomainSizes()

Returns:
  the hotQIsGeneralizedDomainSizes

#### getHotQIsGeneralizedFunctions

    public DistributionAggregateFunction[] getHotQIsGeneralizedFunctions()

Returns:
  the hotQIsGeneralizedFunctions

#### getHotQIsNotGeneralized

    public int[] getHotQIsNotGeneralized()

Returns:
  the hotQIsNotGeneralized

#### getHotQIsNotGeneralizedDomainSizes

    public int[] getHotQIsNotGeneralizedDomainSizes()

Returns:
  the hotQIsNotGeneralizedDomainSizes

#### getHotQIsNotGeneralizedFunctions

    public DistributionAggregateFunction[] getHotQIsNotGeneralizedFunctions()

Returns:
  the hotQIsNotGeneralizedFunctions

#### getHotThreshold

    public int getHotThreshold()

Returns:
  the hotThreshold

#### getMicroaggregationColumns

    public int[] getMicroaggregationColumns()

Returns the columns in the original array which are microaggregated

Returns:

#### getMicroaggregationFunctions

    public DistributionAggregateFunction[] getMicroaggregationFunctions()

Returns the distribution aggregate functions for all microaggregated values

Returns:

#### getMicroaggregationHeader

    public java.lang.String[] getMicroaggregationHeader()

Returns the attributes in the analyzed dataset which are microaggregated

Returns:

#### getMicroaggregationIndices

    public int[] getMicroaggregationIndices()

Returns the indices of all attributes that are microaggregated in order hotQIsNotGeneralized, hotQIsGeneralized, coldQIs.

Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`